﻿@model ProjectModel
@{
    ViewBag.ActiveTab = "Project";
    ViewBag.ActiveProject = Model.Id;
}
<div class="container-fluid">
    <div class="card overflow-hidden">
        <div class="card-body p-0">
            <div class="bg-info-subtle d-flex justify-content-between align-items-center project-tabset">
                <strong class="m-0 ms-4 fs-3 text-primary current-project" data-id="@Model.Id" >
                    @Model.Name
                </strong>
                <ul class="nav nav-pills user-profile-tab justify-content-end rounded-2" id="pills-tab" role="tablist">
                    <li class="nav-item" role="presentation">
                        <a class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-6" data-bs-toggle="pill" data-bs-target="#overview-tab" role="tab" aria-controls="pills-profile" aria-selected="true">
                            <i class="fa-solid fa-circle-info me-2"></i>
                            <span class="d-none d-md-block">Overview</span>
                        </a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-6 active" data-bs-toggle="pill" data-bs-target="#tasklist-tab" role="tab" aria-controls="pills-followers" aria-selected="false" tabindex="-1">
                            <i class="fa-solid fa-list-check me-2"></i>
                            <span class="d-none d-md-block">Tasks</span>
                        </a>
                    </li>
                    <li class="nav-item" role="presentation">
                        <a class="nav-link position-relative rounded-0 d-flex align-items-center justify-content-center bg-transparent fs-3 py-6" data-bs-toggle="pill" data-bs-target="#customize-tab" role="tab" aria-controls="pills-gallery" aria-selected="false" tabindex="-1">
                            <i class="fa-regular fa-pen-to-square me-2"></i>
                            <span class="d-none d-md-block">Customize</span>
                        </a>
                    </li>
                </ul>
            </div>
        </div>
    </div>
    <div class="tab-content">
        <div class="tab-pane fade " id="overview-tab" role="tabpanel" aria-labelledby="pills-account-tab" tabindex="0">
            @await Html.PartialAsync("_ProjectOverview", Model)
        </div>
        <div class="tab-pane fade show active" id="tasklist-tab" role="tabpanel" aria-labelledby="pills-notifications-tab" tabindex="0">
            @await Html.PartialAsync("_TaskList", Model)

        </div>
        <div class="tab-pane fade" id="customize-tab" role="tabpanel" aria-labelledby="pills-bills-tab" tabindex="0">
            @await Html.PartialAsync("_ProjectCustomize", Model)
        </div>
    </div>
  
</div>


